## org.openorb.compiler.object
Class IdlCommentSection

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlCommentSection

All Implemented Interfaces:
  java.io.Serializable

public class IdlCommentSection
extends java.lang.Object
implements java.io.Serializable

An IDL comment section is a comment extension field as for example 'exception' or 'author'

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Constructor Summary
`IdlCommentSection(IdlCommentField SectionKind)` Constructor

Method Summary
`void` `add_description(java.lang.String description)` Add the section comment
`java.lang.String` `get_description()` Return the section description
`java.lang.String` `get_title()` Return the section title
`IdlCommentField` `kind()` Return the section type
`void` `set_title(java.lang.String title)` Set the section title

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdlCommentSection

    public IdlCommentSection(IdlCommentField SectionKind)

  Constructor

Method Detail

### add_description

    public void add_description(java.lang.String description)

  Add the section comment

### kind

    public IdlCommentField kind()

  Return the section type

### get_description

    public java.lang.String get_description()

  Return the section description

### get_title

    public java.lang.String get_title()

  Return the section title

### set_title

    public void set_title(java.lang.String title)

  Set the section title